## python_xdoc-0.1.0-py3-none-any.whl

=== app/proton_python_client/Makefile ===
.PHONY: image latest latest-tag test deploy-local local login-deploy

-include .env

branch ?= master
DOCKERFILE_BUILD=/tmp/Dockerfile.image
NAME_IMAGE ?= "$(CI_REGISTRY_IMAGE)/$(src)"
TAG_IMAGE := branch-$(subst /,-,$(branch))

# We use :latest so we can use somewhere else, but it's the same as branch-master the other one is for CI
ifeq ($(branch), latest)
	TAG_IMAGE=latest
endif

IMAGE_URL_DEB = ubuntu:latest
IMAGE_URL_FED38 = fedora:38
IMAGE_URL_ARCH = archlinux:base

base: image-deb image-fed38  image-arch

# Create the image based on ubuntu
image-deb: image
image-deb: DOCKER_FILE_SOURCE = Dockerfile.deb
image-deb: src = ubuntu

# Create the image based on archlinux
image-arch: image
image-arch: DOCKER_FILE_SOURCE = Dockerfile.arch
image-arch: src = archlinux

# Create the image based on fedora 38
image-fed38: image
image-fed38: DOCKER_FILE_SOURCE = Dockerfile.fed38
image-fed38: src = fedora38

## Make remote image form a branch make image branch=<branchName> (master default)
image: requirements.txt docker-source
	docker build -t $(NAME_IMAGE):$(TAG_IMAGE) -f "$(DOCKERFILE_BUILD)" .
	docker push $(NAME_IMAGE):$(TAG_IMAGE)
	docker tag $(NAME_IMAGE):$(TAG_IMAGE) $(NAME_IMAGE):$(TAG_IMAGE)

## We host our own copy of the image ubuntu:latest
docker-source:
	sed "s|IMAGE_URL_FED38|$(IMAGE_URL_FED38)|; s|IMAGE_URL_DEB|$(IMAGE_URL_DEB)|; s|IMAGE_URL_ARCH|$(IMAGE_URL_ARCH)|" $(DOCKER_FILE_SOURCE) > /tmp/Dockerfile.image

requirements.txt:
	@ touch requirements.txt

# Tag the image branch-master as latest
latest:
	docker pull $(NAME_IMAGE):branch-master-$(src)	
	docker tag $(NAME_IMAGE):branch-master-$(src)  $(NAME_IMAGE):latest-$(src)
	docker push $(NAME_IMAGE):latest-$(src)

## Build image on local -> name nm-core:latest
local: docker-source
	# docker build -t "$(NAME_IMAGE)" -f "$(DOCKERFILE_BUILD)" .
	docker build -t $(NAME_IMAGE) -f "$(DOCKERFILE_BUILD)" .
	@ rm -rf __SOURCE_APP || true
local: NAME_IMAGE = proton-python-client:latest

local-base: local-deb local-fed38 local-arch

local-deb: local
local-deb: DOCKER_FILE_SOURCE = Dockerfile.deb

local-fed38: local
local-fed38: DOCKER_FILE_SOURCE = Dockerfile.fed38

local-arch: local
local-arch: DOCKER_FILE_SOURCE = Dockerfile.arch

# Build an image from your computer and push it to our repository
deploy-local: login-deploy build tag push

# If you want to deploy an image to our registry you will need to set these variables inside .env
login-deploy:
	docker login -u "$(CI_DEPLOY_USER)" -p "$(CI_JOB_TOKEN)" "$(CI_REGISTRY)"

######### Not linked to the image ###############

## Run tests against the latest version of the image from your code
test-deb: local-deb
	# Keep -it because with colors it's better
	@ docker run \
			--rm \
			-it \
			--privileged \
			--volume $(PWD)/.env:/home/user/proton-python-client.env \
			proton-python-client:latest \
			python3 -m pytest

## Run tests against the latest version of the image from your code

test-fed38: local-fed38
	# Keep -it because with colors it's better
	@ docker run \
			--rm \
			-it \
			--privileged \
			--volume $(PWD)/.env:/home/user/proton-python-client.env \
			proton-python-client:latest \
			python3 -m pytest
			
## Run tests against the latest version of the image from your code
test-arch: local-arch
	# Keep -it because with colors it's better
	@ docker run \
			--rm \
			-it \
			--privileged \
			--volume $(PWD)/.env:/home/user/proton-python-client.env \
			proton-python-client:latest \
			python3 -m pytest

=== app/proton_python_client/requirements.txt ===
requests>=2.16
bcrypt
python-gnupg
pyopenssl

=== app/proton_python_client/debian/changelog ===
proton-python-client (0.7.1-2) unstable; urgency=medium

  * Improve: Logging
  * Improve: Alternative routing logic
  * Improve: Human verification logic

 -- Proton Technologies AG <opensource@proton.me>  Fri, 15 Oct 2021 12:45:00 +0100

proton-python-client (0.7.0-1) unstable; urgency=medium

  * Feature: Request human verification
  * Fix: Allow to make and retrieve non-json responses from API

 -- Proton Technologies AG <opensource@proton.me>  Fri, 24 Sep 2021 11:30:00 +0100
 

proton-python-client (0.6.1-4) unstable; urgency=medium

  * Feature: Alternative Routing

 -- Proton Technologies AG <opensource@proton.me>  Thu, 08 Jul 2021 17:30:00 +0100

proton-python-client (0.5.1-3) unstable; urgency=medium

  * Add new exceptions for improved case handling

 -- Proton Technologies AG <opensource@proton.me>  Mon, 24 May 2021 11:30:00 +0100

proton-python-client (0.5.0-1) unstable; urgency=medium

  * Add new exceptions
  * Throw custom exceptions in case of network errors, abstracting from the package that is being used for requests

 -- Proton Technologies AG <opensource@proton.me>  Fri, 30 Apr 2021 18:15:00 +0100
 

proton-python-client (0.4.1-1) unstable; urgency=medium

  * Add long description to setup.py

 -- Proton Technologies AG <opensource@proton.me>  Wed, 21 Apr 2021 13:45:00 +0100
 

proton-python-client (0.4.0-1) unstable; urgency=medium

  * Add proxy support
  * Verify fingerprint of signer key

 -- Proton Technologies AG <opensource@proton.me>  Mon, 19 Apr 2021 10:50:00 +0100
 

proton-python-client (0.3.0-1) unstable; urgency=medium

  * Set flags to BNs in the openssl implementation using BN_set_flags and BN_FLAG_CONSTTIME

 -- Proton Technologies AG <opensource@proton.me>  Wed, 27 Jan 2021 12:12:23 +0000
 

proton-python-client (0.2.0-3) unstable; urgency=medium

  * Bugfix: Invalid modulus
  * Bugfix: Invalid salt

 -- Proton Technologies AG <opensource@proton.me>  Mon, 04 Jan 2021 10:00:04 +0000

proton-python-client (0.1.0-1) unstable; urgency=medium

  * Project is flake8 compatible
  * Remove unused folder
  * Initial beta release

 -- Proton Technologies AG <opensource@proton.me>  Fri, 13 Nov 2020 14:19:02 +0000

proton-python-client (0.0.9-2) unstable; urgency=medium

  * Add timeout

 -- Proton Technologies AG <opensource@proton.me>  Mon, 09 Nov 2020 14:42:13 +0000

proton-python-client (0.0.9-1) unstable; urgency=medium

  * Pass headers to exception

 -- Proton Technologies AG <opensource@proton.me>  Thu, 29 Oct 2020 16:34:49 +0000

proton-python-client (0.0.8-1) unstable; urgency=medium

  * Add secret key

 -- Proton Technologies AG <opensource@proton.me>  Wed, 28 Oct 2020 10:21:15 +0100

proton-python-client (0.0.7-1) unstable; urgency=medium

  * Initial release
  * Releasing signed package.

 -- Proton Technologies AG <opensource@proton.me>  Wed, 28 Oct 2020 14:41:37 +0100

=== app/proton_python_client/arch/PKGBUILD ===
# Maintainer: Proton Technologies AG <opensource@proton.me>
pkgname=python-proton-client
pkgver=0.7.1
pkgrel=2
pkgdesc="Safely login with ProtonVPN credentials to connect to Proton."
arch=("any")
url="https://github.com/ProtonMail/proton-python-client"
license=("GPL3")
groups=("ProtonVPN")
depends=("python-requests" "python-bcrypt" "python-gnupg" "python-pyopenssl" "python-dnspython")
makedepends=("python-setuptools")
conflicts=("python-protonvpn-nm-lib<3.5.0")
source=("$pkgname.tar.gz")
sha256sums=(.)
validpgpkeys=("A884 41BD 4864 F95B EE08  E63A 71EB 4740 1994 0E11")

build() {
    cd "$pkgname"
    python setup.py build
}

package() {
    cd "$pkgname"
    python setup.py install --root="$pkgdir" --optimize=1
}

=== app/proton_python_client/debian/control ===
Source: proton-python-client
Priority: optional
Maintainer: Proton Technologies AG <opensource@proton.me>
Build-Depends: debhelper (>= 10), dh-python, python3-all, python3-setuptools
Standards-Version: 4.1.2
Homepage: https://protonvpn.com/
X-Python3-Version: >= 3.5

Package: python3-proton-client
Architecture: all
Homepage: https://github.com/ProtonMail/proton-python-client
Section: net
Depends: ${python3:Depends}, ${misc:Depends}, python3-bcrypt, python3-gnupg, python3-openssl, python3-dnspython, python3-requests (>= 2.16.0)
Breaks: python3-protonvpn-nm-lib  (<< 3.5.0)
Description: Proton SRP (Python 3)
 Safely login with ProtonVPN credentials to connect to Proton.
 .
 This package installs the library for Python 3.

=== app/proton_python_client/debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=proton-python-client

%:
	dh $@ --with python3 --buildsystem=pybuild

=== app/proton_python_client/debian/watch ===
version=4

opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/proton-client/proton-client-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
